Name:       awesome
Version:    3.4.9
Release:    %mkrel 2
Summary:    Highly configurable, framework window manager for X. Fast, light and extensible
Group:      Graphical desktop/Other
License:    GPLv2+
URL:        http://awesome.naquadah.org
Source0:    http://awesome.naquadah.org/download/%{name}-%{version}.tar.xz
# from https://awesome.naquadah.org/bugs/index.php?do=details&task_id=869
Patch0:     awesome-3.4.9-cmake.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# for wallpaper setting handling 
Requires:   feh
Requires:   xterm
Requires:   cairo-xcb

BuildRequires:  pango-devel
BuildRequires:  cairo-xcb-devel
BuildRequires:  readline-devel
BuildRequires:  imlib2-devel
BuildRequires:  imagemagick
BuildRequires:  xdg-basedir-devel
BuildRequires:  git
BuildRequires:  cmake
BuildRequires:  xcb-util-devel
BuildRequires:  lua-devel
BuildRequires:  xcb-devel
BuildRequires:  dbus-devel
BuildRequires:  libev-devel
BuildRequires:  glib2-devel
BuildRequires:  gperf
BuildRequires:  doxygen
BuildRequires:  asciidoc
BuildRequires:  xmlto
BuildRequires:  luadoc
BuildRequires:  startup-notification-devel >= 0.10
BuildRequires:  x11-proto-devel
BuildRequires:  docbook-dtds
BuildRequires:  pixman-devel
BuildRequires:  libpng-devel

# widgets
Suggests:   awesome-plugin-vicious
# to test a new config without screwing the main one
Suggests:   x11-server-xephyr


%description
Awesome is a highly configurable, next generation framework window 
manager for X. It is very fast, light and extensible.

It is primarly targeted at power users, developers and any people 
dealing with every day computing tasks and want to have fine-grained 
control on its graphical environment.


%prep
%setup -q
%patch0 -p1


%build
cmake ./ -DCMAKE_INSTALL_PREFIX:PATH=/usr -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DCMAKE_SKIP_RPATH=ON -DCMAKE_BUILD_TYPE=debug -DBUILD_SHARED_LIBS=ON  -DCMAKE_MODULE_LINKER_FLAGS="-Wl,--as-needed  -Wl,-z,relro" -DXDG_CONFIG_DIR=%{_sysconfdir}/xdg
%make


%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat >    %{buildroot}%{_sysconfdir}/X11/wmsession.d/19%{name} << EOF
NAME=%name
EXEC=%{_bindir}/%{name}
DESC=%summary
SCRIPT:
exec %{_bindir}/%{name}
EOF


%clean
rm -rf %buildroot


%files
%defattr(-,root,root,-)
%doc README 
%config(noreplace) %_sysconfdir/xdg/%{name}/rc.lua
%config(noreplace) %_sysconfdir/X11/wmsession.d/19%{name}
%_bindir/awesome
%_bindir/awesome-client
%_bindir/awsetbg
%dir %_datadir/%{name}
%dir %_docdir/%{name}
%_datadir/%{name}/icons/*
%_datadir/%{name}/lib/*
%_datadir/%{name}/themes/*
%_mandir/man1/awesome.1.xz
%_mandir/man1/awesome-client.1.*
%_mandir/man1/awsetbg.1.*
%_mandir/man5/awesomerc.5.*
%lang(de) %_mandir/de/man*/aw*.*.*
%lang(es) %_mandir/es/man*/aw*.*.*
%lang(fr) %_mandir/fr/man*/aw*.*.*
%_datadir/xsessions/%{name}.desktop


%changelog
* Sun Mar 20 2011 shikamaru <shikamaru> 3.4.9-2.mga1
+ Revision: 74899
- add cairo-xcb in requires
- suggest xephyr and vicious

* Sun Mar 20 2011 shikamaru <shikamaru> 3.4.9-1.mga1
+ Revision: 74665
- Add patch for cmake
- add pixman-devel in BR
- use docbook-dtds
- Add cairo-xcb-devel instead of cairo-devel
- one buildrequires per line
- imported package awesome

